### A free/open-source library for quantitative finance

Public Member Functions
Sonia Class Reference

Sonia (Sterling Overnight Index Average) rate. More...

`#include <ql/indexes/ibor/sonia.hpp>`

Inherits OvernightIndex.

List of all members.

## Public Member Functions

| Sonia (const Handle< YieldTermStructure > &h=Handle< YieldTermStructure >())

## Detailed Description

Sonia (Sterling Overnight Index Average) rate.